/*
 File: test_called_thd_fs.h
 Date and Time: Mon Oct 13 18:18:16 2014 
*/
#ifndef __test_called_thd_fs_h__
#define __test_called_thd_fs_h__ 1
#include "yacco2.h"
#include "yacco2_T_enumeration.h"
#include "yacco2_k_symbols.h"
#include "yacco2_err_symbols.h"
#include "yacco2_terminals.h"
#include "yacco2_characters.h"
extern yacco2::Thread_entry ITH_test_called_thd_fs;

extern yacco2::State S1_Ctest_called_thd_fs;
namespace NS_test_called_thd_fs {
yacco2::THR _YACCO2_CALL_TYPE
TH_test_called_thd_fs(yacco2::Parser* Caller);// called thread
yacco2::THR_result _YACCO2_CALL_TYPE
PROC_TH_test_called_thd_fs(yacco2::Parser* Caller);// called thread's twin the procedure
using namespace NS_yacco2_T_enum;// enumerate
using namespace yacco2;
struct fsm_rules_reuse_table_type{
 fsm_rules_reuse_table_type();
 int no_rules_entries_;
 Per_rule_s_reuse_table* per_rule_s_table_[7];
};
class Ctest_called_thd_fs: public yacco2::CAbs_fsm {
 public:
  enum rules_and_subrules{
   start_of_rule_list = NS_yacco2_T_enum::T_Enum::sum_total_T
   ,R_RSt_ = 569//start_of_rule_list + 0
    ,rhs1_RSt_ = 1
   ,R_RS_ = 570//start_of_rule_list + 2
    ,rhs1_RS_ = 2
    ,rhs2_RS_ = 3
   ,R_Ra_ = 571//start_of_rule_list + 4
    ,rhs1_Ra_ = 4
    ,rhs2_Ra_ = 5
   ,R_Rb_ = 572//start_of_rule_list + 6
    ,rhs1_Rb_ = 6
    ,rhs2_Rb_ = 7
   ,R_Rc_ = 573//start_of_rule_list + 8
    ,rhs1_Rc_ = 8
    ,rhs2_Rc_ = 9
   ,R_Rd_ = 574//start_of_rule_list + 10
    ,rhs1_Rd_ = 10
    ,rhs2_Rd_ = 11
   ,R_Re_ = 575//start_of_rule_list + 12
    ,rhs1_Re_ = 12
  };
  //no of la sets = 4
  //no of states = 14
  Ctest_called_thd_fs();
  ~Ctest_called_thd_fs();
  void op();
  bool failed();
  void reduce_rhs_of_rule
      (yacco2::UINT Sub_rule_no,yacco2::Rule_s_reuse_entry** Recycled_rule);
  fsm_rules_reuse_table_type fsm_rules_reuse_table;
  static int rhs_to_rules_mapping_[13];
 };
struct RSt;
struct RS;
struct Ra;
struct Rb;
struct Rc;
struct Rd;
struct Re;
struct RSt:public yacco2::CAbs_lr1_sym {
  RSt(yacco2::Parser* P);
  public:
};

struct RS:public yacco2::CAbs_lr1_sym {
  RS(yacco2::Parser* P);
  public:
};

struct Ra:public yacco2::CAbs_lr1_sym {
  Ra(yacco2::Parser* P);
  public:
};

struct Rb:public yacco2::CAbs_lr1_sym {
  Rb(yacco2::Parser* P);
  public:
};

struct Rc:public yacco2::CAbs_lr1_sym {
  Rc(yacco2::Parser* P);
  public:
};

struct Rd:public yacco2::CAbs_lr1_sym {
  Rd(yacco2::Parser* P);
  public:
};

struct Re:public yacco2::CAbs_lr1_sym {
  Re(yacco2::Parser* P);
  public:
};

} // end of namespace

#endif
